#ifndef CONSTRUCT_TABLE_HPP_
#define CONSTRUCT_TABLE_HPP_

#include <Block/SpriteBlock/BasicBlock/BasicBlock.hpp>

class ConstructTable : public BasicBlock
{
public:
    ConstructTable(std::string name);

    virtual bool canManuallyDig() override;
    virtual void onInteract(LocalWorld &world, Player &player, glm::ivec3 pos, Side side, const RGBABytes &collisionKey) override;
};

#endif